Subject: Re: bug#6468: A couple of problem related to frame raising (partly w32)

From: Lennart Borgman <[email-masked]>
Date: Tue, 22 Jun 2010 12:39:54 +0200

On Tue, Jun 22, 2010 at 10:17 AM, Juanma Barranquero <[email-masked]> wrote:
> On Tue, Jun 22, 2010 at 01:19, Lennart Borgman
> <[email-masked]> wrote:
>
>> Eh, now wait a minute again... - does not that mean that if
>> foreground_window is not 0 then the "|| foreground_thread =
>> GetCurrentThread ()" will be executed? (As I said...)
>
> There's no
>
>  || foreground_thread = GetCurrentThreadId ()
>
> on the code you quoted; there is
>
>  || foreground_thread == GetCurrentThreadId ()
>
> which is not the same thing. No assignment in sight there.

You are right. Then it is perhaps only a logical error (which likely
is a typo) since my version I have here now works.

Could you please write it any way you like it? (Maybe turn the test
around to the recommended order so people like me who read C very
seldom don't get fooled?)

Just a comment: It is a bit surprising that no one have seen it
before. Maybe people just did not expect this to work in Emacs? (I
remember I saw this once before but misread it and did not have time
to come back to it.)